<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
      </profile>
      <profile name="Annotation profile for water-Vue-Plus" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <processorPath useClasspath="false">
          <entry name="$PROJECT_DIR$/../../repository/com/github/therapi/therapi-runtime-javadoc-scribe/0.15.0/therapi-runtime-javadoc-scribe-0.15.0.jar" />
          <entry name="$PROJECT_DIR$/../../repository/com/github/therapi/therapi-runtime-javadoc/0.15.0/therapi-runtime-javadoc-0.15.0.jar" />
          <entry name="$PROJECT_DIR$/../../repository/org/projectlombok/lombok/1.18.42/lombok-1.18.42.jar" />
          <entry name="$PROJECT_DIR$/../../repository/org/springframework/boot/spring-boot-configuration-processor/3.5.12/spring-boot-configuration-processor-3.5.12.jar" />
          <entry name="$PROJECT_DIR$/../../repository/io/github/linpeilie/mapstruct-plus-processor/1.5.0/mapstruct-plus-processor-1.5.0.jar" />
          <entry name="$PROJECT_DIR$/../../repository/io/github/linpeilie/mapstruct-plus/1.5.0/mapstruct-plus-1.5.0.jar" />
          <entry name="$PROJECT_DIR$/../../repository/org/mapstruct/mapstruct/1.6.3/mapstruct-1.6.3.jar" />
          <entry name="$PROJECT_DIR$/../../repository/io/github/linpeilie/mapstruct-plus-object-convert/1.5.0/mapstruct-plus-object-convert-1.5.0.jar" />
          <entry name="$PROJECT_DIR$/../../repository/cn/easii/tutelary-repackage-javapoet/1.0.5/tutelary-repackage-javapoet-1.0.5.jar" />
          <entry name="$PROJECT_DIR$/../../repository/org/mapstruct/mapstruct-processor/1.6.3/mapstruct-processor-1.6.3.jar" />
          <entry name="$PROJECT_DIR$/../../repository/org/mapstruct/tools/gem/gem-api/1.0.0.Alpha3/gem-api-1.0.0.Alpha3.jar" />
          <entry name="$PROJECT_DIR$/../../repository/org/projectlombok/lombok-mapstruct-binding/0.2.0/lombok-mapstruct-binding-0.2.0.jar" />
        </processorPath>
        <module name="water-app" />
        <module name="water-common-excel" />
        <module name="water-generator" />
        <module name="water-monitor-admin" />
        <module name="water-common-translation" />
        <module name="water-admin" />
        <module name="water-common-idempotent" />
        <module name="water-common-web" />
        <module name="water-common-websocket" />
        <module name="water-common-sms" />
        <module name="water-common-ratelimiter" />
        <module name="water-common-mybatis" />
        <module name="water-common-security" />
        <module name="water-common-oss" />
        <module name="water-common-satoken" />
        <module name="water-common-mail" />
        <module name="water-common-sensitive" />
        <module name="water-common-sse" />
        <module name="water-common-log" />
        <module name="water-common-job" />
        <module name="water-common-json" />
        <module name="water-common-mqtt" />
        <module name="water-job" />
        <module name="water-common-social" />
        <module name="water-common-core" />
        <module name="water-snailjob-server" />
        <module name="water-common-doc" />
        <module name="water-common-tenant" />
        <module name="water-common-encrypt" />
        <module name="water-common-redis" />
        <module name="water-system" />
        <module name="water-demo" />
        <module name="water-workflow" />
      </profile>
    </annotationProcessing>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="water" options="-parameters" />
      <module name="water-admin" options="-parameters" />
      <module name="water-app" options="-parameters" />
      <module name="water-common" options="-parameters" />
      <module name="water-common-core" options="-parameters" />
      <module name="water-common-doc" options="-parameters" />
      <module name="water-common-encrypt" options="-parameters" />
      <module name="water-common-excel" options="-parameters" />
      <module name="water-common-idempotent" options="-parameters" />
      <module name="water-common-job" options="-parameters" />
      <module name="water-common-json" options="-parameters" />
      <module name="water-common-log" options="-parameters" />
      <module name="water-common-mail" options="-parameters" />
      <module name="water-common-mqtt" options="-parameters" />
      <module name="water-common-mybatis" options="-parameters" />
      <module name="water-common-oss" options="-parameters" />
      <module name="water-common-ratelimiter" options="-parameters" />
      <module name="water-common-redis" options="-parameters" />
      <module name="water-common-satoken" options="-parameters" />
      <module name="water-common-security" options="-parameters" />
      <module name="water-common-sensitive" options="-parameters" />
      <module name="water-common-sms" options="-parameters" />
      <module name="water-common-social" options="-parameters" />
      <module name="water-common-sse" options="-parameters" />
      <module name="water-common-tenant" options="-parameters" />
      <module name="water-common-translation" options="-parameters" />
      <module name="water-common-web" options="-parameters" />
      <module name="water-common-websocket" options="-parameters" />
      <module name="water-demo" options="-parameters" />
      <module name="water-extend" options="-parameters" />
      <module name="water-generator" options="-parameters" />
      <module name="water-job" options="-parameters" />
      <module name="water-modules" options="-parameters" />
      <module name="water-monitor-admin" options="-parameters" />
      <module name="water-snailjob-server" options="-parameters" />
      <module name="water-system" options="-parameters" />
      <module name="water-workflow" options="-parameters" />
    </option>
  </component>
</project>